
Redmine - Defect #21779

Specific contents causes page not found on issue,documents, wiki

2016-01-21 13:12 - Aleksandar Pavic

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documents Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.1.2

Description

Redmine info:

Environment:

  Redmine version                3.1.2.stable

  Ruby version                   2.0.0-p481 (2014-05-08) [x86_64-linux]

  Rails version                  4.2.4

  Environment                    production

  Database adapter               Mysql2

 *The problem occurs only with Apache mod security turned on. *

Redmine log:

Started GET "/500.shtml" for 94.247.200.2 at 2016-01-21 02:51:52 -0500

ActionController::RoutingError (No route matches [GET] "/500.shtml"):

  actionpack (4.2.4) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'

  actionpack (4.2.4) lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'

  railties (4.2.4) lib/rails/rack/logger.rb:38:in `call_app'

  railties (4.2.4) lib/rails/rack/logger.rb:20:in `block in call'

  activesupport (4.2.4) lib/active_support/tagged_logging.rb:68:in `block in tagged'

  activesupport (4.2.4) lib/active_support/tagged_logging.rb:26:in `tagged'

  activesupport (4.2.4) lib/active_support/tagged_logging.rb:68:in `tagged'

  railties (4.2.4) lib/rails/rack/logger.rb:20:in `call'

  actionpack (4.2.4) lib/action_dispatch/middleware/request_id.rb:21:in `call'

  rack (1.6.4) lib/rack/methodoverride.rb:22:in `call'

  rack (1.6.4) lib/rack/runtime.rb:18:in `call'

  activesupport (4.2.4) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'

  actionpack (4.2.4) lib/action_dispatch/middleware/static.rb:116:in `call'

  rack (1.6.4) lib/rack/sendfile.rb:113:in `call'

  railties (4.2.4) lib/rails/engine.rb:518:in `call'

  railties (4.2.4) lib/rails/application.rb:165:in `call'

  railties (4.2.4) lib/rails/railtie.rb:194:in `public_send'

  railties (4.2.4) lib/rails/railtie.rb:194:in `method_missing'

  passenger (4.0.45) lib/phusion_passenger/rack/thread_handler_extension.rb:74:in `process_request

'

  passenger (4.0.45) lib/phusion_passenger/request_handler/thread_handler.rb:141:in `accept_and_pr

ocess_next_request'

  passenger (4.0.45) lib/phusion_passenger/request_handler/thread_handler.rb:109:in `main_loop'

  passenger (4.0.45) lib/phusion_passenger/request_handler.rb:448:in `block (3 levels) in start_th

reads'

 Content causing the issue:

[[http://apaste.info/rA2]]

History

#1 - 2017-01-11 14:31 - Go MAEDA

- Status changed from New to Closed
http://apaste.info/rA2


- Resolution set to Invalid

The problem was obviously caused by mod_security.
